{% extends 'base.html.twig' %}

{% block content %}
  <h1>Kompáčove etikety</h1>
  <div class="stats row">
    <div class="col-md-4 col-sm-6">
    <table class="table table-striped">
      <tbody>
      <tr><td>Etikety celkom</td><td>{{ count }}</td></tr>
      </tbody>
    </table>
    </div>
  </div>

  <div class="addnew">
    <a class="btn btn-default" href="{{ path('upload') }}">Pridať nové</a>
  </div>

  {% if count > limit %}
  <nav>
    <ul class="pagination pagination-lg">
      <li class="page-item {{ page > 0 ? '' : 'disabled' }}">
        <a class="page-link" href="{{ path('main', {'q':query, '_page':prev, '_size':limit}) }}" aria-label="Previous">
          <span aria-hidden="true">&laquo;</span>
        </a>
      </li>

      <li class="page-item {{ page < last ? '' : 'disabled' }}">
        <a class="page-link" href="{{ path('main', {'q':query, '_page':next, '_size':limit}) }}" aria-label="Next">
          <span aria-hidden="true">&raquo;</span>
        </a>
      </li>
    </ul>
  </nav>
  {% endif %}

  <div class="stickers">
    {% for sticker in stickers %}
      <div class="sticker">
        <a href="{{ path('sticker', {'id': sticker.id}) }}">
          <img class="sticker-img" src="{{ datadir ~ sticker.imagePath }}" alt="s">
        </a>
      </div>
    {% endfor %}
  </div>
{% endblock %}

{% block css %}
  <style>
    .stickers {
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      align-items: center;
    }
    .sticker {
      margin: 10px;
    }
    .sticker-img {
      max-width: 250px;
      max-height: 250px;
    }
    .addnew {
    }
  </style>
{% endblock %}
